%global momorel 2
%global md5sum_src0 6243f7a19e03e05403ce84e597510d4c

Summary: ICU - International Components for Unicode
Name: icu
Version: 3.6
Release: %{momorel}m%{?dist}
License: MIT/X
Group: System Environment/Libraries
%NoSource 0 ftp://ftp.software.ibm.com/software/globalization/%{name}/%{version}/%{name}4c-3_6-src.tgz %{md5sum_src0}
Patch1:  icu-3.4-multiarchdevel.patch
Patch2:  icu-config
Patch3:  icu.icu5365.dependantvowels.patch
Patch4:  icu.icu5418.malayam.patch
Patch5:  icu.icu5431.malayam.patch
Patch6:  icu.icu5433.oriya.patch
Patch7:  icu.icuXXXX.virama.prevnext.patch
Patch8:  icu.icu5465.telegu.patch
Patch9:  icu.icu5488.assamese.patch
Patch10: icu.icu5500.devicetablecrash.patch
Patch11: icu.icu5501.sinhala.biggerexpand.patch
Patch12: icu.icu5557.safety.patch
Patch13: icu.icu5506.multiplevowels.patch
Patch14: icu.icu5594.gujarati.patch
URL: http://ibm.com/software/globalization/icu
BuildRoot: /var/tmp/%{name}-%{version}-root/
Provides: icu-locales
Obsoletes: icu-locales

%description
The International Components for Unicode (ICU) libraries provide
robust and full-featured Unicode services on a wide variety of
platforms. ICU supports the most current version of the Unicode
standard, and they provide support for supplementary Unicode
characters (needed for GB 18030 repertoire support).
As computing environments become more heterogeneous, software
portability becomes more important. ICU lets you produce the same
results across all the various platforms you support, without
sacrificing performance. It offers great flexibility to extend and
customize the supplied services.

%package -n libicu
Summary: International Components for Unicode (libraries)
Group: Development/Libraries
%description -n libicu
ICU is a set of C and C++ libraries that provides robust and full-featured
Unicode support. This package contains the runtime libraries for ICU. It does
not contain any of the data files needed at runtime and present in the
`icu' and `icu-locales` packages.

%package -n libicu-devel
Summary: Development files for International Components for Unicode
Group: Development/Libraries
Requires: libicu = %{version}
%description -n libicu-devel
ICU is a set of C and C++ libraries that provides robust and full-featured
Unicode support. This package contains the development files for ICU.

%package -n lib%{name}-doc
Summary: Documentation for International Components for Unicode
Group:   Documentation

%description -n lib%{name}-doc
%{summary}.

%prep
%setup -q -n %{name}
%patch1  -p1 -b .multiarchdevel
%patch3  -p1 -b .dependantvowels
%patch4  -p1 -b .icu5418.malayam.patch
%patch5  -p1 -b .icu5431.malayam.patch
%patch6  -p1 -b .icu5433.oriya.patch
%patch7  -p1 -b .icuXXXX.virama.prevnext.patch
%patch8  -p1 -b .icu5465.telegu.patch
%patch9  -p1 -b .icu5488.assamese.patch
%patch10 -p1 -b .icu5500.devicetablecrash.patch
%patch11 -p1 -b .icu5501.sinhala.biggerexpand.patch
%patch12 -p1 -b .icu5557.safety.patch
%patch13 -p1 -b .icu5506.multiplevowels.patch
%patch14 -p1 -b .icu5594.gujarati.patch

%build
cd source
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoreconf -fi
%configure --with-data-packaging=files --enable-shared --enable-static --disable-samples
make
make doc

%install
rm -rf --preserve-root %{buildroot}

rm -rf %{buildroot} source/__docs
make -C source install DESTDIR=%{buildroot}
make -C source install-doc docdir=__docs
chmod +x %{buildroot}/%{_libdir}/*.so.*
cp -p %{PATCH2} %{buildroot}/%{_bindir}/%{name}-config
chmod a+x %{buildroot}/%{_bindir}/%{name}-config
sed -i s/\\\$\(THREADSCXXFLAGS\)// %{buildroot}/%{_libdir}/pkgconfig/icu.pc
sed -i s/\\\$\(THREADSCPPFLAGS\)/-D_REENTRANT/ %{buildroot}/%{_libdir}/pkgconfig/icu.pc


rm -f %{buildroot}%{_datadir}/icu/%{version}/license.html
rm -f %{buildroot}%{_datadir}/icu/%{version}/mkinstalldirs

%check || :
make -C source check

%clean
rm -rf --preserve-root %{buildroot}

%post -n libicu -p /sbin/ldconfig
%postun -n libicu -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc license.html readme.html
%{_bindir}/derb
%{_bindir}/genbrk
%{_bindir}/gencnval
%{_bindir}/genctd
%{_bindir}/genrb
%{_bindir}/makeconv
%{_bindir}/pkgdata
%{_bindir}/uconv
%{_sbindir}/*
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gencnval.1*
%{_mandir}/man1/genrb.1*
%{_mandir}/man1/genbrk.1*
%{_mandir}/man1/genctd.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/*.8*
%dir %{_datadir}/icu
%dir %{_datadir}/icu/%{version}
%{_datadir}/icu/%{version}/*

%files -n libicu
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n libicu-devel
%defattr(-, root, root)
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1*
%{_libdir}/lib*.a
%{_includedir}/layout
%{_includedir}/unicode
%{_libdir}/*.so
%{_libdir}/icu
%{_libdir}/pkgconfig/icu.pc

%files -n lib%{name}-doc
%defattr(-,root,root,-)
%doc source/__docs/%{name}/html/*

%changelog
* Mon May  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.6-2m)
- Provides and Obsoletes icu-locales for upgrading

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.6-1m)
- update to 3.6

* Sun May 21 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.4.1-1m)
- update to 3.4.1
- add gnustack patch (from FC)
- add gcc41 patch (from FC)

* Wed Aug 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2-4m)
- enable big-endian arch.

* Mon Aug  8 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (3.2-3m)
- %defattr(-,root,root)

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-2m)
- revise %%post and %%preun

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-1m)
- initial import to Momonga
